/////////////////////////////////////////////////////////////////////////////
// Name:        oscsurface.cpp
// Purpose:     
// Author:      jrg piringer
// Modified by: 
// Created:     04/05/2006 23:22:42
// RCS-ID:      
// Copyright:   
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma implementation "oscsurface.h"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
//#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "oscsurface.h"
#include "settings.h"


/*!
 * Application instance implementation
 */

IMPLEMENT_APP( OSCSurfaceApp )

/*!
 * OSCSurfaceApp type definition
 */

IMPLEMENT_CLASS( OSCSurfaceApp, wxApp )

/*!
 * OSCSurfaceApp event table definition
 */

BEGIN_EVENT_TABLE( OSCSurfaceApp, wxApp )


END_EVENT_TABLE()

/*!
 * Constructor for OSCSurfaceApp
 */

OSCSurfaceApp::OSCSurfaceApp()
{
}

/*!
 * Initialisation for OSCSurfaceApp
 */

bool OSCSurfaceApp::OnInit()
{    
	Settings::init(NULL);

#if wxUSE_XPM
    wxImage::AddHandler(new wxXPMHandler);
#endif
#if wxUSE_LIBPNG
    wxImage::AddHandler(new wxPNGHandler);
#endif
#if wxUSE_LIBJPEG
    wxImage::AddHandler(new wxJPEGHandler);
#endif
#if wxUSE_GIF
    wxImage::AddHandler(new wxGIFHandler);
#endif

	win = new OSCWindow();
	win->Show(true);


    return true;
}

/*!
 * Cleanup for OSCSurfaceApp
 */
int OSCSurfaceApp::OnExit()
{    
	Settings::close();
    return wxApp::OnExit();
}

